For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
13.5kProductPricingSign inStart free trialBook a demo
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
DocsAPIsSDKsEnterprise EdgeGuidesAcademyRelease notes
    • API overview
  • Client API
  • Frontend API
  • Admin API
      • GETGet API tokens
      • POSTCreate API token
      • GETGet API tokens by name
      • PUTUpdate API token
      • DELDelete API token

Unleash reduces the risk of releasing new features, drives innovation by streamlining the software release process, and increases revenue by optimizing end-user experience. While we serve the needs of the world's largest, most security-conscious organizations, we are also rated the “Easiest Feature Management system to use” by G2.

GitHubGitHubLinkedInLinkedInX (Twitter)X (Twitter)SlackSlackStack OverflowStack OverflowYouTubeYouTube

Server SDKs

  • Node.js
  • Java
  • Go
  • Rust
  • Ruby
  • Python
  • .NET
  • PHP
  • All SDKs

Frontend SDKs

  • JavaScript
  • React
  • Next.js
  • Vue
  • iOS
  • Android
  • Flutter

Feature Flag use cases

  • Secure, scalable feature flags
  • Rollbacks
  • FedRAMP, SOC2, ISO2700 compliance
  • Progressive or gradual rollouts
  • Trunk-based development
  • Software kill switches
  • A/B testing
  • Feature management
  • Canary releases

Product

  • Quickstart
  • Unleash architecture
  • Pricing
  • Product vision
  • Open live demo
  • Open source
  • Enterprise feature management platform
  • Unleash vs LaunchDarkly

Support

  • Help center
  • Status
  • Changelog
Made in a cosy atmosphere in the Nordic countries.Copyright © 2026 Unleash
LogoLogo
13.5kProductPricingSign inStart free trialBook a demo
Admin APIAPI tokens

Create API token

||View as Markdown|
POST
https://app.unleash-instance.example.com/api/admin/api-tokens
POST
/api/admin/api-tokens
$curl -X POST https://app.unleash-instance.example.com/api/admin/api-tokens \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "type": "frontend",
> "tokenName": "token-64522"
>}'
1{
2 "secret": "project:environment.xyzrandomstring",
3 "tokenName": "some-user",
4 "type": "client",
5 "projects": [
6 "developerexperience",
7 "enterprisegrowth"
8 ],
9 "createdAt": "2023-04-19T08:15:14.000Z",
10 "environment": "development",
11 "project": "developerexperience",
12 "expiresAt": "2023-04-19T08:15:14.000Z",
13 "seenAt": "2023-04-19T08:15:14.000Z",
14 "alias": "randomid-or-some-alias"
15}

Create an API token of a specific type: one of client, admin, frontend, backend.

Was this page helpful?
Previous

Get API tokens by name

Next
Built with

Authentication

Authorizationstring
API key needed to access this API
OR
AuthorizationBearer
API key needed to access this API, in Bearer token format

Request

createApiTokenSchema
objectRequired

Response headers

locationstring
The location of the newly created resource.

Response

The resource was successfully created.
secretstring
The token used for authentication.
tokenNamestring
A unique name for this particular token
typeenum
The type of API token
Allowed values:
projectslist of strings

The list of projects this token has access to. If the token has access to specific projects they will be listed here. If the token has access to all projects it will be represented as [*]

createdAtstringformat: "date-time"
When the token was created.
environmentstringDefaults to development
The environment the token has access to.
projectstring
The project this token belongs to.
expiresAtstring or nullformat: "date-time"
The token's expiration date. NULL if the token doesn't have an expiration set.
seenAtstring or nullformat: "date-time"

When the token was last seen/used to authenticate with. NULL if the token has not yet been used for authentication.

aliasstring or null
Alias is no longer in active use and will often be NULL. It's kept around as a way of allowing old proxy tokens created with the old metadata format to keep working.

Errors

401
Unauthorized Error
403
Forbidden Error
415
Unsupported Media Type Error